petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscGLL

the locations, from [-1,1] and weights of the Gauss-Lobatto-Legendre nodes of a given size

### Synopsis

    typedef struct {
      PetscInt  n;
      PetscReal *nodes;
      PetscReal *weights;
    } PetscGLL;

These values are usful in implementing spectral methods based on the Gauss-Lobatto-Legendre nodes

The array nodes[] contains the vertices of each node The array weights[] are the integration weights

The mass matrix for the element corresponds to the diagonal matrix whose entries are the weights[]

### Developer Notes

This may eventually get merged into a more abstract or general object for managing integration schemes or discretization schemes.

References: XXXX

### See Also

PetscGLLCreate(), PetscGLLDestroy(), PetscGLLView()

### Level

beginner

### Location

include/petscgll.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages